Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000768Frama-CPlug-in > impact analysispublic2011-03-29 16:452011-10-10 14:14
Reporteryakobowski 
Assigned Tosignoles 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000768: Impact analysis does not catch Pdg.Top (returned on variadic calls)
DescriptionQuerying the impact analysis of 'i++' in the following code results in a crash

int f(int, ...);

int main () {
  int i=0;
  i++;
  f(i);
}
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001652)
signoles (manager)
2011-03-29 16:48

Reproduced. Thx.

- Issue History
Date Modified Username Field Change
2011-03-29 16:45 yakobowski New Issue
2011-03-29 16:45 yakobowski Status new => assigned
2011-03-29 16:45 yakobowski Assigned To => signoles
2011-03-29 16:48 signoles Note Added: 0001652
2011-03-29 16:48 signoles Status assigned => confirmed
2011-03-30 10:51 svn Checkin
2011-03-30 10:51 svn Status confirmed => resolved
2011-03-30 10:51 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker